Delete a commission
curl --request DELETE \
--url https://platform.tolt.dev/v2/commissions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.tolt.dev/v2/commissions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.tolt.dev/v2/commissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.tolt.dev/v2/commissions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.tolt.dev/v2/commissions/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://platform.tolt.dev/v2/commissions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.tolt.dev/v2/commissions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Successfully deleted commission",
"data": {
"id": "comm_X85RLnefjTCNrypH4MA1PdSp",
"amount": "1000",
"currency": "usd",
"revenue": "5000",
"status": "approved",
"type": "percentage",
"source": "api",
"partner_id": "part_NLYzgNKuSuASvrvoxNtau6SY",
"customer_id": "cus_LBfjvtfct9pVUeLojMHiGnXv",
"program_id": "prg_T6z8aRW3XCmvFWP972RKxpAd",
"transaction_id": "txn_fB3egT1sKNVNu3ZYuU1ypYDA",
"payout_id": null,
"charge_id": "ch_R8qW2mN6kP4vT9xY",
"charge_status": "paid",
"is_ad_click": false,
"is_self_referral": false,
"approval_type": "immediate",
"scheduled_approval_date": null,
"created_at": "2026-10-01T12:00:00Z",
"updated_at": "2026-10-01T12:00:00Z"
}
}{
"success": false,
"message": "Cannot delete paid commissions",
"code": "commission_paid",
"doc_url": "https://docs.tolt.com/errors#commission_paid"
}{
"success": false,
"message": "Unauthorized",
"code": "unauthorized",
"doc_url": "https://docs.tolt.com/errors#unauthorized"
}{
"success": false,
"message": "Commission not found",
"code": "not_found",
"doc_url": "https://docs.tolt.com/errors#not_found"
}{
"success": false,
"message": "Commission cannot be modified: it is part of a refund",
"code": "commission_frozen",
"doc_url": "https://docs.tolt.com/errors#commission_frozen"
}{
"success": false,
"message": "Request body exceeds 1 MB",
"code": "payload_too_large",
"doc_url": "https://docs.tolt.com/errors#payload_too_large"
}{
"success": false,
"message": "Too many requests. Retry after the window resets.",
"code": "rate_limited",
"doc_url": "https://docs.tolt.com/errors#rate_limited"
}Commissions
Delete a commission
Deletes a commission. Fails for paid commissions, refund commissions, commissions on a refunded transaction, and those on a confirmed or legacy autopayout invoice.
DELETE
/
v2
/
commissions
/
{id}
Delete a commission
curl --request DELETE \
--url https://platform.tolt.dev/v2/commissions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.tolt.dev/v2/commissions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.tolt.dev/v2/commissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.tolt.dev/v2/commissions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.tolt.dev/v2/commissions/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://platform.tolt.dev/v2/commissions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.tolt.dev/v2/commissions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Successfully deleted commission",
"data": {
"id": "comm_X85RLnefjTCNrypH4MA1PdSp",
"amount": "1000",
"currency": "usd",
"revenue": "5000",
"status": "approved",
"type": "percentage",
"source": "api",
"partner_id": "part_NLYzgNKuSuASvrvoxNtau6SY",
"customer_id": "cus_LBfjvtfct9pVUeLojMHiGnXv",
"program_id": "prg_T6z8aRW3XCmvFWP972RKxpAd",
"transaction_id": "txn_fB3egT1sKNVNu3ZYuU1ypYDA",
"payout_id": null,
"charge_id": "ch_R8qW2mN6kP4vT9xY",
"charge_status": "paid",
"is_ad_click": false,
"is_self_referral": false,
"approval_type": "immediate",
"scheduled_approval_date": null,
"created_at": "2026-10-01T12:00:00Z",
"updated_at": "2026-10-01T12:00:00Z"
}
}{
"success": false,
"message": "Cannot delete paid commissions",
"code": "commission_paid",
"doc_url": "https://docs.tolt.com/errors#commission_paid"
}{
"success": false,
"message": "Unauthorized",
"code": "unauthorized",
"doc_url": "https://docs.tolt.com/errors#unauthorized"
}{
"success": false,
"message": "Commission not found",
"code": "not_found",
"doc_url": "https://docs.tolt.com/errors#not_found"
}{
"success": false,
"message": "Commission cannot be modified: it is part of a refund",
"code": "commission_frozen",
"doc_url": "https://docs.tolt.com/errors#commission_frozen"
}{
"success": false,
"message": "Request body exceeds 1 MB",
"code": "payload_too_large",
"doc_url": "https://docs.tolt.com/errors#payload_too_large"
}{
"success": false,
"message": "Too many requests. Retry after the window resets.",
"code": "rate_limited",
"doc_url": "https://docs.tolt.com/errors#rate_limited"
}Authorizations
Tolt API key sent as a bearer token.
Path Parameters
Example:
"comm_X85RLnefjTCNrypH4MA1PdSp"

